Summary:	The client for the Trivial File Transfer Protocol (TFTP).
Name:		tftp
Version:	0.33
Release:	1.5.1
License:	BSD
Group:		Applications/Internet
Source00:	http://www.kernel.org/pub/software/network/tftp/tftp-hpa-%{version}.tar.gz
Source02:	tftp-xinetd-gd-1
Patch00:	tftp-0.28-malta.patch
BuildPreReq:	tcp_wrappers
BuildRoot:	%{_tmppath}/%{name}-%{release}-root

%description
The Trivial File Transfer Protocol (TFTP) is normally used only for
booting diskless workstations.  The tftp package provides the user
interface for TFTP, which allows users to transfer files to and from a
remote machine.  This program and TFTP provide very little security,
and should not be enabled unless it is expressly needed.

%files
  %defattr(-,root,root)
  %doc %{_mandir}/man1/*
  %attr(0511,root,root)	%{_bindir}/tftp

%package server
Summary:	The server for the Trivial File Transfer Protocol (TFTP).
Group:		System Environment/Daemons
Requires:	xinetd

%description server
The Trivial File Transfer Protocol (TFTP) is normally used only for
booting diskless workstations.  The tftp-server package provides the
server for TFTP, which allows users to transfer files to and from a
remote machine. TFTP provides very little security, and should not be
enabled unless it is expressly needed.  The TFTP server is run from
/etc/xinetd.d/tftp, and is disabled by default on Red Hat Linux systems.

%files server
  %defattr(-,root,root)
  %doc %{_mandir}/man8/*
  %attr(0700,root,root)		%dir /var/tftpboot
  %attr(0640,root,admin)	%config(noreplace) %{_sysconfdir}/xinetd.d/tftp
  %attr(0500,root,root)		%{_sbindir}/in.tftpd

%prep
%setup -q -n tftp-hpa-%{version} 
%patch -p1

%build
  %configure
  make

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

  mkdir -p ${RPM_BUILD_ROOT}%{_bindir}
  mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man{1,8}
  mkdir -p ${RPM_BUILD_ROOT}%{_sbindir}
  mkdir -p ${RPM_BUILD_ROOT}%{_sysconfdir}/xinetd.d
  mkdir -p ${RPM_BUILD_ROOT}/var/tftpboot

  make INSTALLROOT=${RPM_BUILD_ROOT} \
	SBINDIR=%{_sbindir} MANDIR=%{_mandir} \
	install

  install %{SOURCE2} ${RPM_BUILD_ROOT}%{_sysconfdir}/xinetd.d/tftp

%post server
  /etc/init.d/xinetd restart> /dev/null 2>&1 || :

%postun server
  /etc/init.d/xinetd restart> /dev/null 2>&1 || :

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Mar 16 2004 Ryan W. Maple <ryan@guardiandigital.com>
- Version 0.33, Release 1.5.1
  - Initial build for EnGarde.
